Index: trunk/jobarchived/make_dbase.sh
===================================================================
--- trunk/jobarchived/make_dbase.sh	(revision 210)
+++ trunk/jobarchived/make_dbase.sh	(revision 211)
@@ -1,5 +1,5 @@
 #!/bin/bash
 #
-# This shellscript will setup toga's SQL database
+# This shellscript will setup jobarchived's SQL database
 #
 
@@ -14,10 +14,10 @@
 # dbname for toga
 #
-TOGADBNAME='toga'
+JOBDBNAME='jobarch'
 
 # dbfile for toga
 #
-TOGADBCMD='./job_dbase.sql'
+JOBDBCMD='./job_dbase.sql'
 
-$CREATEDB $TOGADBNAME
-$PSQL -f $TOGADBCMD $TOGADBNAME
+$CREATEDB $JOBDBNAME
+$PSQL -f $JOBDBCMD $JOBDBNAME
Index: trunk/jobarchived/rrd_copy.py
===================================================================
--- trunk/jobarchived/rrd_copy.py	(revision 210)
+++ 	(revision )
@@ -1,46 +1,0 @@
-#!/usr/bin/env python
-
-import os
-import time
-
-# Location of rrdtool
-RRDTOOL_BIN = '/usr/bin/rrdtool'
-
-# Location of Ganglia's rrd's
-GANGLIA_RRD_DIR = '/var/lib/ganglia/rrds'
-
-# Location where you want our own rrd's stored
-MYDATA_DIR = '/data/myrrds'
-
-for root, dirs, files in os.walk( GANGLIA_RRD_DIR, topdown=False ):
-
-	for name in files:
-		if name.find('.rrd') != -1 and root.find('__SummaryInfo__') == -1:
-
-			ganglia_rrd = os.path.join( root, name )
-			rel_dir = ganglia_rrd[len(GANGLIA_RRD_DIR):]
-			mydata_rrd = MYDATA_DIR + rel_dir
-
-			if not os.path.isdir( MYDATA_DIR + os.path.dirname(rel_dir) ):
-				#print 'mkdir ' + MYDATA_DIR + os.path.dirname(rel_dir)
-				os.makedirs( MYDATA_DIR + os.path.dirname(rel_dir) )
-
-			#if os.path.exists( '/tmp/ramdisk/myblatemp.xml' ):
-			#	os.remove( '/tmp/ramdisk/myblatemp.xml' )
-
-			#xml = open( '/tmp/ramdisk/myblatemp.xml', 'w' )
-	
-			#print RRDTOOL_BIN + ' dump "' + ganglia_rrd + '" | head -271'	
-			#rrd_dump = os.popen( RRDTOOL_BIN + ' dump "' + ganglia_rrd + '" | head -271', 'r')
-
-			#for regel in rrd_dump.readlines():
-			#	xml.write( regel )
-
-			#rrd_dump.close()
-
-			#xml.write( '</rrd>' )
-
-			#xml.close()
-
-			#print 'cp "' + ganglia_rrd + '" "' + mydata_rrd + '"'
-			os.system( 'cp "' + ganglia_rrd + '" "' + mydata_rrd + '"' )
Index: trunk/jobarchived/rrd_gather.py
===================================================================
--- trunk/jobarchived/rrd_gather.py	(revision 210)
+++ 	(revision )
@@ -1,47 +1,0 @@
-#!/usr/bin/env python
-
-import os
-import time
-
-# Location of rrdtool
-RRDTOOL_BIN = '/usr/bin/rrdtool'
-
-# Location of Ganglia's rrd's
-GANGLIA_RRD_DIR = '/var/lib/ganglia/rrds'
-
-# Location where you want our own rrd's stored
-#MYDATA_DIR = '/data/myrrds'
-MYDATA_DIR = '/tmp/ramdisk/myrrds'
-
-for root, dirs, files in os.walk( GANGLIA_RRD_DIR, topdown=False ):
-
-	for name in files:
-		if name.find('.rrd') != -1 and name.find('__SummaryInfo__') == -1:
-
-			ganglia_rrd = os.path.join( root, name )
-			rel_dir = ganglia_rrd[len(GANGLIA_RRD_DIR):]
-			mydata_rrd = MYDATA_DIR + rel_dir
-
-			if not os.path.isdir( MYDATA_DIR + os.path.dirname(rel_dir) ):
-				#print 'mkdir ' + MYDATA_DIR + os.path.dirname(rel_dir)
-				os.makedirs( MYDATA_DIR + os.path.dirname(rel_dir) )
-
-			if os.path.exists( '/tmp/ramdisk/myblatemp.xml' ):
-				os.remove( '/tmp/ramdisk/myblatemp.xml' )
-
-			xml = open( '/tmp/ramdisk/myblatemp.xml', 'w' )
-	
-			#print RRDTOOL_BIN + ' dump "' + ganglia_rrd + '" | head -271'	
-			rrd_dump = os.popen( RRDTOOL_BIN + ' dump "' + ganglia_rrd + '" | head -271', 'r')
-
-			for regel in rrd_dump.readlines():
-				xml.write( regel )
-
-			rrd_dump.close()
-
-			xml.write( '</rrd>' )
-
-			xml.close()
-
-			#print RRDTOOL_BIN + ' restore /tmp/ramdisk/myblatemp.xml "' + mydata_rrd + '"'
-			os.system( RRDTOOL_BIN + ' restore /tmp/ramdisk/myblatemp.xml "' + mydata_rrd + '"' )
Index: trunk/jobarchived/rrd_merge.py
===================================================================
--- trunk/jobarchived/rrd_merge.py	(revision 210)
+++ 	(revision )
@@ -1,43 +1,0 @@
-#!/usr/bin/env python
-
-import rrdtool
-import os
-
-class Toga:
-
-	def RrdMerge(self, rrd1, rrd2, newrrd):
-
-		rrdtool.resize( rrd1, '0', 'GROW', '240' )
-		os.rename( './resize.rrd', newrrd )
-		
-		newvals = rrdtool.fetch( rrd2, 'AVERAGE', '-r', '15',  '-s', '10:55', '-e', '11:55' )
-		print newvals
-		times = newvals[0]
-
-		start_time = times[0]
-		end_time = times[1]
-		time_interval = times[2]
-
-		last = rrdtool.last( rrd1 )
-
-		dss = newvals[1]
-		ds = dss[0]
-
-		values = newvals[2]
-
-		loop_count = 0
-		for val in values:
-			timestamp = start_time + ( loop_count * time_interval )
-			update_string = '%s:%s' %(timestamp, val[0])
-			if timestamp > last and val[0]:
-				print 'rrdtool update %s -t sum %s' %(newrrd, update_string)
-				rrdtool.update( newrrd, '-t', 'sum', update_string )
-			loop_count = loop_count + 1
-
-def main():
-
-	t = Toga()
-
-	t.RrdMerge( '/tmp/test_cpu_num01.rrd', '/tmp/test_cpu_num02.rrd', './test_cpu_merged.rrd' )
-
-main()