Index: trunk/AUTHORS
===================================================================
--- trunk/AUTHORS	(revision 218)
+++ trunk/AUTHORS	(revision 219)
@@ -1,20 +1,29 @@
-Design, code and implementation
--------------------------------
+MAIN DEVELOPER(S)
+=================
 
-- jobarchived, jobmond, jobfrontend
+	* Design, code and implementation
 
-	* Ramon Bastiaans <bastiaans@sara.nl>
+	-	Ramon Bastiaans
+		<bastiaans@sara.nl>
 
-Original concept
-----------------
+ORIGINAL CONCEPT(S)
+===================
 
-- pbs_monitor
+	* PBS Monitor
 
-	* Bas van der Vlies <basv@sara.nl>
+	-	Bas van der Vlies
+		<basv@sara.nl>
 
-Original based on
------------------
+	* PBS web software
 
-- PBS web software
+	-	ROCKS Cluster group,
+		San Diego
 
-	* ROCKS Cluster group, San Diego
+CONTRIBUTOR(S)
+==============
+
+	-	Walter de Jong
+		<walter@sara.nl>
+
+	-	Jaap Dijkshoorn
+		<jaap@sara.nl>
Index: trunk/TODO
===================================================================
--- trunk/TODO	(revision 218)
+++ trunk/TODO	(revision 219)
@@ -1,27 +1,29 @@
-Features on the horizon:
-------------------------
+Functionality TODO (wish) list
+==============================
 
-* Config file and arguments usage for daemons
-  (also --help and possibly a man page)
+	*	Improved config file and arguments usage for daemons
+		(also --help and possibly a man page)
 
-* Actual version reporting by daemons
+	*	Actual version reporting by daemons
 
-* 'queued since' reporting of jobs
+	*	'queued since' reporting of jobs
 
-* Clickable nodes in the "big" cluster image,
-  filtering all jobs on that particular node.
+	*	Usage of a node's (Ganglia) location in the ClusterImage
+		construction (placement by x,y,z coordinates)
+  
+	*	More advanced and detailed graph's, etc
 
-* Mouse hints on the "big" cluster image,
-  showing node information detail when holding
-  over a node. Information such as jobid(s),
-  queues, users, etc
+	*	Clickable nodes in the "big" cluster image,
+		filtering all jobs on that particular node.
 
-* Usage of a node's location in the ClusterImage
-  construction (placement by x,y,z coordinates)
+	*	Mouse hints on the "big" cluster image,
+		showing node information detail when holding
+		over a node. Information such as jobid(s),
+		queues, users, etc
 
-* Usage of regexp's or wildcards at jobsearch
-  i.e. for job name/user/queue
+	*	Usage of regexp's or wildcards at jobsearch
+		i.e. for job name/user/queue
 
-* Ability to search by certain node properties
-  instead of job properties. I.e.: a certain node
-  hostname and/or number of nodes/cpus
+	*	Ability to search by certain node properties
+		instead of job properties. I.e.: a certain node
+		hostname and/or number of nodes/cpus
Index: trunk/jobmond/jobmond.py
===================================================================
--- trunk/jobmond/jobmond.py	(revision 218)
+++ trunk/jobmond/jobmond.py	(revision 219)
@@ -384,5 +384,5 @@
 		"""Submit job info list"""
 
-		self.dp.multicastGmetric( 'TOGA-HEARTBEAT', str( int( int( self.cur_time ) + int( self.timeoffset ) ) ) )
+		self.dp.multicastGmetric( 'MONARCH-HEARTBEAT', str( int( int( self.cur_time ) + int( self.timeoffset ) ) ) )
 
 		# Now let's spread the knowledge
@@ -393,5 +393,5 @@
 
 			for val in gmetric_val:
-				self.dp.multicastGmetric( 'TOGA-JOB-' + jobid, val )
+				self.dp.multicastGmetric( 'MONARCH-JOB-' + jobid, val )
 
 	def makeNodeString( self, nodelist ):
Index: trunk/web/addons/job_monarch/conf.php
===================================================================
--- trunk/web/addons/job_monarch/conf.php	(revision 218)
+++ trunk/web/addons/job_monarch/conf.php	(revision 219)
@@ -21,5 +21,5 @@
 $JOB_NODE_MARKING = "J";
 
-// XML Datasource for Toga
+// XML Datasource for Job Monarch
 // by default localhost's gmetad
 // [syntax: <ip>:<port>]
Index: trunk/web/addons/job_monarch/libtoga.php
===================================================================
--- trunk/web/addons/job_monarch/libtoga.php	(revision 218)
+++ trunk/web/addons/job_monarch/libtoga.php	(revision 219)
@@ -528,14 +528,14 @@
 				$nodes[$hostname] = new NodeImage( $hostname );
 
-		} else if( $name == 'METRIC' and strstr( $attrs[NAME], 'TOGA' ) and $this->proc_cluster == $this->clustername ) {
-
-			if( strstr( $attrs[NAME], 'TOGA-HEARTBEAT' ) ) {
+		} else if( $name == 'METRIC' and strstr( $attrs[NAME], 'MONARCH' ) and $this->proc_cluster == $this->clustername ) {
+
+			if( strstr( $attrs[NAME], 'MONARCH-HEARTBEAT' ) ) {
 
 				$this->heartbeat['time'] = $attrs[VAL];
 				//printf( "heartbeat %s\n", $heartbeat['time'] );
 
-			} else if( strstr( $attrs[NAME], 'TOGA-JOB' ) ) {
-
-				sscanf( $attrs[NAME], 'TOGA-JOB-%d', $jobid );
+			} else if( strstr( $attrs[NAME], 'MONARCH-JOB' ) ) {
+
+				sscanf( $attrs[NAME], 'MONARCH-JOB-%d', $jobid );
 
 				//printf( "jobid %s\n", $jobid );