Index: trunk/jobarchived/examples/jobarchived.conf
===================================================================
--- trunk/jobarchived/examples/jobarchived.conf	(revision 224)
+++ trunk/jobarchived/examples/jobarchived.conf	(revision 224)
@@ -0,0 +1,13 @@
+[DEFAULT]
+DAEMONIZE			: 1
+DEBUG_LEVEL			: 1
+USE_SYSLOG			: 1
+SYSLOG_LEVEL			: 0
+SYSLOG_FACILITY			: DAEMON
+GMETAD_CONF			: /etc/gmetad.conf
+ARCHIVE_XMLSOURCE		: localhost:8651
+ARCHIVE_DATASOURCES		: "LISA Cluster"
+ARCHIVE_HOURS_PER_RRD		: 12
+ARCHIVE_EXCLUDE_METRICS		: "^Temp_.*_.*", ".*_Temp_.*", ".*_RPM_.*", ".*_Battery_.*"
+ARCHIVE_PATH			: /data/jobarch/rrds
+JOB_SQL_DBASE			: localhost/jobarch
Index: trunk/jobarchived/jobarchived.conf
===================================================================
--- trunk/jobarchived/jobarchived.conf	(revision 223)
+++ trunk/jobarchived/jobarchived.conf	(revision 224)
@@ -1,13 +1,81 @@
 [DEFAULT]
+# Wether or not to run as a daemon in background
+#
 DAEMONIZE			: 1
+
+# Specify debugging level here (only when _not_ DAEMONIZE)
+#
+# 11 = XML: metrics
+# 10 = XML: host, cluster, grid, ganglia
+# 9  = RRD activity, gmetad config parsing
+# 8  = RRD file activity
+# 6  = SQL
+# 1  = daemon threading
+# 0  = errors
+#
+# default: 0
+#
 DEBUG_LEVEL			: 1
+
+# Enable logging to syslog?
+#
 USE_SYSLOG			: 1
+
+# What level msg'es should be logged to syslog?
+#
+# usually: lvl 0 (errors)
+#
 SYSLOG_LEVEL			: 0
+
+# Which facility to use in syslog
+#
+# Known:
+#       LOG_KERN, LOG_USER, LOG_MAIL, LOG_DAEMON, LOG_AUTH, LOG_LPR,
+#       LOG_NEWS, LOG_UUCP, LOG_CRON and LOG_LOCAL0 to LOG_LOCAL7
+#
 SYSLOG_FACILITY			: DAEMON
+
+# Where is the gmetad.conf located
+#
 GMETAD_CONF			: /etc/gmetad.conf
+
+# Where to grab XML data from
+# Usually: local gmetad (port 8651)
+#
+# Syntax: <hostname>:<port>
+#
 ARCHIVE_XMLSOURCE		: localhost:8651
-ARCHIVE_DATASOURCES		: "LISA Cluster"
+
+# List of data_source names to archive for
+#
+# Syntax: [ "<clustername>", "<clustername>" ]
+#
+ARCHIVE_DATASOURCES		: "My Cluster"
+
+# Amount of hours to store in one single archived rrd
+#
+# If you would like less files you can set this bigger
+# but could degrade performance
+#
+# For now 12 hours seems to work: 2 periods per day
+#
 ARCHIVE_HOURS_PER_RRD		: 12
+
+# Which metrics to exclude from archiving
+# NOTE: This can be a regexp or a string
+#
 ARCHIVE_EXCLUDE_METRICS		: "^Temp_.*_.*", ".*_Temp_.*", ".*_RPM_.*", ".*_Battery_.*"
+
+# Where to store the archived rrd's
+#
 ARCHIVE_PATH			: /data/jobarch/rrds
-JOB_SQL_DBASE			: localhost/jobarch
+
+# Archive's SQL dbase to use
+#
+# Syntax: <hostname>/<database>
+#
+JOB_SQL_DBASE			: localhost/jobarchive
+
+# Location of rrdtool binary
+#
+RRDTOOL				: /usr/bin/rrdtool
Index: trunk/jobarchived/jobarchived.py
===================================================================
--- trunk/jobarchived/jobarchived.py	(revision 223)
+++ trunk/jobarchived/jobarchived.py	(revision 224)
@@ -75,44 +75,16 @@
 	cfg.read( filename )
 
-	# Which metrics to exclude from archiving
-	global DEBUG_LEVEL, USE_SYSLOG, SYSLOG_LEVEL, SYSLOG_FACILITY, GMETAD_CONF, ARCHIVE_XMLSOURCE, ARCHIVE_DATASOURCES, ARCHIVE_PATH, ARCHIVE_HOURS_PER_RRD, ARCHIVE_EXCLUDE_METRICS, JOB_SQL_DBASE, DAEMONIZE
-
-	# Where to store the archived rrd's
-	#
+	global DEBUG_LEVEL, USE_SYSLOG, SYSLOG_LEVEL, SYSLOG_FACILITY, GMETAD_CONF, ARCHIVE_XMLSOURCE, ARCHIVE_DATASOURCES, ARCHIVE_PATH, ARCHIVE_HOURS_PER_RRD, ARCHIVE_EXCLUDE_METRICS, JOB_SQL_DBASE, DAEMONIZE, RRDTOOL
+
 	ARCHIVE_PATH = cfg.get( 'DEFAULT', 'ARCHIVE_PATH' )
 
-	# Amount of hours to store in one single archived .rrd
-	#
 	ARCHIVE_HOURS_PER_RRD = cfg.getint( 'DEFAULT', 'ARCHIVE_HOURS_PER_RRD' )
 
-	# Specify debugging level here (only when _not_ DAEMONIZE)
-	#
-	# 11 = XML: metrics
-	# 10 = XML: host, cluster, grid, ganglia
-	# 9  = RRD activity, gmetad config parsing
-	# 8  = RRD file activity
-	# 6  = SQL
-	# 1  = daemon threading
-	# 0  = errors
-	#
-	# default: 0
 	DEBUG_LEVEL = cfg.getint( 'DEFAULT', 'DEBUG_LEVEL' )
 
-	# Enable logging to syslog?
-	#
 	USE_SYSLOG = cfg.getboolean( 'DEFAULT', 'USE_SYSLOG' )
 
-	# What level msg'es should be logged to syslog?
-	#
-	# default: lvl 0 (errors)
-	#
 	SYSLOG_LEVEL = cfg.getint( 'DEFAULT', 'SYSLOG_LEVEL' )
 
-	# Which facility to use in syslog
-	#
-	# Syntax I.e.:
-	# 	LOG_KERN, LOG_USER, LOG_MAIL, LOG_DAEMON, LOG_AUTH, LOG_LPR, 
-	# 	LOG_NEWS, LOG_UUCP, LOG_CRON and LOG_LOCAL0 to LOG_LOCAL7
-	#
 	try:
 
@@ -124,41 +96,19 @@
 		sys.exit( 1 )
 
-	# Where is the gmetad.conf located
-	#
 	GMETAD_CONF = cfg.get( 'DEFAULT', 'GMETAD_CONF' )
 
-	# Where to grab XML data from
-	# Normally: local gmetad (port 8651)
-	#
-	# Syntax: <hostname>:<port>
-	#
 	ARCHIVE_XMLSOURCE = cfg.get( 'DEFAULT', 'ARCHIVE_XMLSOURCE' )
 
-	# List of data_source names to archive for
-	#
-	# Syntax: [ "<clustername>", "<clustername>" ]
-	#
         ARCHIVE_DATASOURCES = getlist( cfg.get( 'DEFAULT', 'ARCHIVE_DATASOURCES' ) )
 
-	# NOTE: This can be a regexp or a string
-	#
 	ARCHIVE_EXCLUDE_METRICS = getlist( cfg.get( 'DEFAULT', 'ARCHIVE_EXCLUDE_METRICS' ) )
 
-	# Toga's SQL dbase to use
-	#
-	# Syntax: <hostname>/<database>
-	#
 	JOB_SQL_DBASE = cfg.get( 'DEFAULT', 'JOB_SQL_DBASE' )
 
-	# Wether or not to run as a daemon in background
-	#
 	DAEMONIZE = cfg.getboolean( 'DEFAULT', 'DAEMONIZE' )
 
+	RRDTOOL = cfg.get( 'DEFAULT', 'RRDTOOL' )
+
 	return True
-
-###
-# You'll only want to change anything below here unless you 
-# know what you are doing (i.e. your name is Ramon Bastiaans :D )
-###
 
 # What XML data types not to store
@@ -175,5 +125,5 @@
 
 """
-This is TOrque-GAnglia's data Daemon
+The Job Archiving Daemon
 """
 
@@ -391,5 +341,5 @@
 	"""A class for performing RRD mutations"""
 
-	binary = '/usr/bin/rrdtool'
+	binary = RRDTOOL
 
 	def __init__( self, binary=None ):
Index: trunk/jobmond/jobmond.conf
===================================================================
--- trunk/jobmond/jobmond.conf	(revision 223)
+++ trunk/jobmond/jobmond.conf	(revision 224)
@@ -1,8 +1,44 @@
 [DEFAULT]
+# Specify debugging level here;
+#
+# 10 = gemtric cmd's
+#
 DEBUG_LEVEL		: 0
+
+# Wether or not to run as a daemon in background
+#
 DAEMONIZE		: 1
+
+# Which Torque server to monitor
+#
 TORQUE_SERVER		: localhost
+
+# How many seconds interval for polling of jobs
+#
+# this will effect directly how accurate the
+# end time of a job can be determined
+#
 TORQUE_POLL_INTERVAL	: 10
+
+# Location of gmond.conf
+#
+# Default: /etc/gmond.conf
+#
 GMOND_CONF		: /etc/gmond.conf
+
+# Wether or not to detect differences in
+# time from Torque server and local time.
+#
+# Ideally both machines (if not the same)
+# should have the same time (via ntp or whatever)
+#
 DETECT_TIME_DIFFS	: 1
+
+# Regexp style hostname translation
+#
+# Usefull if your Torque hostnames are not the same as your
+# Ganglia hostnames (different network interfaces)
+#
+# Syntax: /orig/new/, /orig/new/
+#
 BATCH_HOST_TRANSLATE	: 
Index: trunk/jobmond/jobmond.py
===================================================================
--- trunk/jobmond/jobmond.py	(revision 223)
+++ trunk/jobmond/jobmond.py	(revision 224)
@@ -71,45 +71,16 @@
 	global DEBUG_LEVEL, DAEMONIZE, TORQUE_SERVER, TORQUE_POLL_INTERVAL, GMOND_CONF, DETECT_TIME_DIFFS, BATCH_HOST_TRANSLATE
 
-	# Specify debugging level here;
-	#
-	# 10 = gemtric cmd's
 	DEBUG_LEVEL = cfg.getint( 'DEFAULT', 'DEBUG_LEVEL' )
 
-	# Wether or not to run as a daemon in background
-	#
 	DAEMONIZE = cfg.getboolean( 'DEFAULT', 'DAEMONIZE' )
 
-	# Which Torque server to monitor
-	#
 	TORQUE_SERVER = cfg.get( 'DEFAULT', 'TORQUE_SERVER' )
 
-	# How many seconds interval for polling of jobs
-	#
-	# this will effect directly how accurate the
-	# end time of a job can be determined
-	#
 	TORQUE_POLL_INTERVAL = cfg.getint( 'DEFAULT', 'TORQUE_POLL_INTERVAL' )
 
-	# Alternate location of gmond.conf
-	#
-	# Default: /etc/gmond.conf
-	#
 	GMOND_CONF = cfg.get( 'DEFAULT', 'GMOND_CONF' )
 
-	# Wether or not to detect differences in 
-	# time from Torque server and local time.
-	#
-	# Ideally both machines (if not the same)
-	# should have the same time (via ntp or whatever)
-	#
 	DETECT_TIME_DIFFS = cfg.getboolean( 'DEFAULT', 'DETECT_TIME_DIFFS' )
 
-	# Regexp style hostname translation
-	#
-	# Usefull if your Torque hostnames are not the same as your
-	# Ganglia hostnames (different network interfaces)
-	#
-	# Syntax: /orig/new/
-	#
 	BATCH_HOST_TRANSLATE = getlist( cfg.get( 'DEFAULT', 'BATCH_HOST_TRANSLATE' ) )
 