Index: trunk/web/addons/job_monarch/footer.php
===================================================================
--- trunk/web/addons/job_monarch/footer.php	(revision 219)
+++ trunk/web/addons/job_monarch/footer.php	(revision 225)
@@ -1,3 +1,25 @@
 <?php
+/*
+ *
+ * This file is part of Jobmonarch
+ *
+ * Copyright (C) 2006  Ramon Bastiaans
+ *
+ * Jobmonarch is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * Jobmonarch is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+ *
+ */
+
 $tpl = new TemplatePower( "templates/footer.tpl" );
 $tpl->prepare();
Index: trunk/web/addons/job_monarch/graph.php
===================================================================
--- trunk/web/addons/job_monarch/graph.php	(revision 219)
+++ trunk/web/addons/job_monarch/graph.php	(revision 225)
@@ -1,3 +1,25 @@
 <?php
+/*
+ *
+ * This file is part of Jobmonarch
+ *
+ * Copyright (C) 2006  Ramon Bastiaans
+ *
+ * Jobmonarch is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * Jobmonarch is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+ *
+ */
+
 include_once "./libtoga.php";
 
Index: trunk/web/addons/job_monarch/header.php
===================================================================
--- trunk/web/addons/job_monarch/header.php	(revision 219)
+++ trunk/web/addons/job_monarch/header.php	(revision 225)
@@ -1,3 +1,25 @@
 <?php
+/*
+ *
+ * This file is part of Jobmonarch
+ *
+ * Copyright (C) 2006  Ramon Bastiaans
+ *
+ * Jobmonarch is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * Jobmonarch is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+ *
+ */
+
 # Check if this context is private.
 include_once "$GANGLIA_PATH/auth.php";
Index: trunk/web/addons/job_monarch/host_view.php
===================================================================
--- trunk/web/addons/job_monarch/host_view.php	(revision 219)
+++ trunk/web/addons/job_monarch/host_view.php	(revision 225)
@@ -1,3 +1,25 @@
 <?php
+/*
+ *
+ * This file is part of Jobmonarch
+ *
+ * Copyright (C) 2006  Ramon Bastiaans
+ *
+ * Jobmonarch is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * Jobmonarch is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+ *
+ */
+
 include_once "./libtoga.php";
 
Index: trunk/web/addons/job_monarch/image.php
===================================================================
--- trunk/web/addons/job_monarch/image.php	(revision 219)
+++ trunk/web/addons/job_monarch/image.php	(revision 225)
@@ -1,3 +1,25 @@
 <?php
+/*
+ *
+ * This file is part of Jobmonarch
+ *
+ * Copyright (C) 2006  Ramon Bastiaans
+ *
+ * Jobmonarch is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * Jobmonarch is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+ *
+ */
+
 include_once "./libtoga.php";
 
Index: trunk/web/addons/job_monarch/index.php
===================================================================
--- trunk/web/addons/job_monarch/index.php	(revision 219)
+++ trunk/web/addons/job_monarch/index.php	(revision 225)
@@ -1,3 +1,24 @@
 <?php
+/*
+ *
+ * This file is part of Jobmonarch
+ *
+ * Copyright (C) 2006  Ramon Bastiaans
+ *
+ * Jobmonarch is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * Jobmonarch is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+ *
+ */
 
 if ( !empty( $_GET ) ) {
Index: trunk/web/addons/job_monarch/libtoga.js
===================================================================
--- trunk/web/addons/job_monarch/libtoga.js	(revision 219)
+++ trunk/web/addons/job_monarch/libtoga.js	(revision 225)
@@ -1,2 +1,24 @@
+/*
+ *
+ * This file is part of Jobmonarch
+ *
+ * Copyright (C) 2006  Ramon Bastiaans
+ *
+ * Jobmonarch is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * Jobmonarch is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+ *
+ */
+
 function setSort( sortbyval ) {
 
Index: trunk/web/addons/job_monarch/libtoga.php
===================================================================
--- trunk/web/addons/job_monarch/libtoga.php	(revision 219)
+++ trunk/web/addons/job_monarch/libtoga.php	(revision 225)
@@ -1,3 +1,26 @@
 <?php
+/*
+ *
+ * This file is part of Jobmonarch
+ *
+ * Copyright (C) 2006  Ramon Bastiaans
+ *
+ * Jobmonarch is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * Jobmonarch is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+ *
+ */
+
+
 // If php is compiled without globals
 //
Index: trunk/web/addons/job_monarch/overview.php
===================================================================
--- trunk/web/addons/job_monarch/overview.php	(revision 219)
+++ trunk/web/addons/job_monarch/overview.php	(revision 225)
@@ -1,3 +1,25 @@
 <?php
+/*
+ *
+ * This file is part of Jobmonarch
+ *
+ * Copyright (C) 2006  Ramon Bastiaans
+ *
+ * Jobmonarch is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * Jobmonarch is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+ *
+ */
+
 global $GANGLIA_PATH, $clustername, $tpl, $filter, $cluster, $get_metric_string, $cluster_url, $sh;
 global $hosts_up, $m, $start, $end, $filterorder;
Index: trunk/web/addons/job_monarch/search.php
===================================================================
--- trunk/web/addons/job_monarch/search.php	(revision 219)
+++ trunk/web/addons/job_monarch/search.php	(revision 225)
@@ -1,3 +1,24 @@
 <?php
+/*
+ *
+ * This file is part of Jobmonarch
+ *
+ * Copyright (C) 2006  Ramon Bastiaans
+ *
+ * Jobmonarch is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * Jobmonarch is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+ *
+ */
 
 global $clustername, $tpl;
Index: trunk/web/addons/job_monarch/version.php
===================================================================
--- trunk/web/addons/job_monarch/version.php	(revision 219)
+++ trunk/web/addons/job_monarch/version.php	(revision 225)
@@ -1,3 +1,25 @@
 <?php
+/*
+ *
+ * This file is part of Jobmonarch
+ *
+ * Copyright (C) 2006  Ramon Bastiaans
+ *
+ * Jobmonarch is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * Jobmonarch is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+ *
+ */
+
 $monarchversion = "0.1";
 ?>