Index: trunk/web/addons/job_monarch/conf.php
===================================================================
--- trunk/web/addons/job_monarch/conf.php	(revision 240)
+++ trunk/web/addons/job_monarch/conf.php	(revision 241)
@@ -3,4 +3,8 @@
 //
 $default_showhosts = 1;
+
+// Show the column job attribute 'requested memory'?
+//
+$COLUMN_REQUESTED_MEMORY = 0;
 
 // Path to Ganglia's web frontend root
Index: trunk/web/addons/job_monarch/footer.php
===================================================================
--- trunk/web/addons/job_monarch/footer.php	(revision 240)
+++ trunk/web/addons/job_monarch/footer.php	(revision 241)
@@ -26,7 +26,7 @@
 $tpl->prepare();
 $tpl->assign("webfrontend-version",$version["webfrontend"]);
-$tpl->assign("togaweb-version", "0.1");
-$tpl->assign("togaarch-version", "0.1");
-$tpl->assign("togaplug-version", "0.1");
+//$tpl->assign("togaweb-version", "0.1.1");
+//$tpl->assign("togaarch-version", "0.1.1");
+//$tpl->assign("togaplug-version", "0.1.1");
 
 if ($version["gmetad"]) {
Index: trunk/web/addons/job_monarch/overview.php
===================================================================
--- trunk/web/addons/job_monarch/overview.php	(revision 240)
+++ trunk/web/addons/job_monarch/overview.php	(revision 241)
@@ -24,5 +24,5 @@
 
 global $GANGLIA_PATH, $clustername, $tpl, $filter, $cluster, $get_metric_string, $cluster_url, $sh;
-global $hosts_up, $m, $start, $end, $filterorder;
+global $hosts_up, $m, $start, $end, $filterorder, $COLUMN_REQUESTED_MEMORY;
 
 //$tpl->assign("_ROOT.summary", "" );
@@ -509,4 +509,9 @@
 	$view_name_nodes = array();
 
+	if( $COLUMN_REQUESTED_MEMORY ) {
+		$tpl->newBlock( "column_req_mem" );
+		$tpl->gotoBlock( "node" );
+	}
+
 	foreach( $sorted_jobs as $jobid => $sortdec ) {
 
@@ -598,6 +603,10 @@
 				$domain = $jobs[$jobid][domain];
 				$tpl->assign("req_cpu", makeTime( timeToEpoch( $jobs[$jobid][requested_time] ) ) );
-				$tpl->assign("req_memory", $jobs[$jobid][requested_memory] );
-
+
+				if( $COLUMN_REQUESTED_MEMORY ) {
+					$tpl->newBlock( "column_req_mem" );
+					$tpl->assign( "req_memory", $jobs[$jobid][requested_memory] );
+					$tpl->gotoBlock( "node" );
+				}
 
 				$ppn = (int) $jobs[$jobid][ppn] ? $jobs[$jobid][ppn] : 1;
Index: trunk/web/addons/job_monarch/templates/overview.tpl
===================================================================
--- trunk/web/addons/job_monarch/templates/overview.tpl	(revision 240)
+++ trunk/web/addons/job_monarch/templates/overview.tpl	(revision 241)
@@ -144,7 +144,12 @@
 <TH><B><A HREF="#" onClick="setSort( 'queue' )">Queue</A></B></TH>
 <TH><B><A HREF="#" onClick="setSort( 'name' )" ALT="Jobname" TITLE="Jobname">Name</A></B></TH>
-<TH><B><A HREF="#" onClick="setSort( 'req_cpu' )">Req. CPU time</A></B></TH>
-<TH><B><A HREF="#" onClick="setSort( 'req_mem' )">Req. Memory</A></B></TH>
+<TH><B><A HREF="#" onClick="setSort( 'req_cpu' )" ALT="Requested CPU Time (walltime)" TITLE="Requested CPU Time (walltime)">Req. CPU time</A></B></TH>
+<!-- START BLOCK : column_req_mem -->
+<TH><B><A HREF="#" onClick="setSort( 'req_mem' )" ALT="Requested Memory" TITLE="Requested Memory">Req. Memory</A></B></TH>
+<!-- END BLOCK : column_req_mem -->
 <TH><B><A HREF="#" onClick="setSort( 'nodes' )" ALT="Nodes" TITLE="Nodes">N</A>/<A HREF="#" onClick="setSort( 'cpus' )" ALT="Processors" TITLE="Processors">P</A></B></TH>
+<!-- START BLOCK : column_queued -->
+<TH><B><A HREF="#" onClick="setSort( 'queued' )">Queued</A></B></TH>
+<!-- END BLOCK : column_queued -->
 <TH><B><A HREF="#" onClick="setSort( 'start' )">Started</A></B></TH>
 <TH><B><A HREF="#" onClick="setSort( 'runningtime' )">Runningtime</A></B></TH>
@@ -167,5 +172,7 @@
     </TD>
     <TD>{req_cpu}</TD>
+<!-- START BLOCK : column_req_mem -->
     <TD>{req_memory}</TD>
+<!-- END BLOCK : column_req_mem -->
     <TD>{nodes}/{cpus}</TD>
     <TD>{started}</TD>
Index: trunk/web/addons/job_monarch/version.php
===================================================================
--- trunk/web/addons/job_monarch/version.php	(revision 240)
+++ trunk/web/addons/job_monarch/version.php	(revision 241)
@@ -22,4 +22,4 @@
  */
 
-$monarchversion = "0.1";
+$monarchversion = "0.1.1";
 ?>