Index: /trunk/web/addons/job_monarch/conf.php
===================================================================
--- /trunk/web/addons/job_monarch/conf.php	(revision 298)
+++ /trunk/web/addons/job_monarch/conf.php	(revision 299)
@@ -15,4 +15,8 @@
 //
 $COLUMN_QUEUED = 1;
+
+// Show the column job attribute 'nodes' hostnames?
+//
+$COLUMN_NODES = 1;
 
 // Path to Ganglia's web frontend root
Index: /trunk/web/addons/job_monarch/overview.php
===================================================================
--- /trunk/web/addons/job_monarch/overview.php	(revision 298)
+++ /trunk/web/addons/job_monarch/overview.php	(revision 299)
@@ -24,5 +24,5 @@
 
 global $GANGLIA_PATH, $clustername, $tpl, $filter, $cluster, $get_metric_string, $cluster_url, $sh;
-global $hosts_up, $m, $start, $end, $filterorder, $COLUMN_REQUESTED_MEMORY, $COLUMN_QUEUED, $hostname, $piefilter;
+global $hosts_up, $m, $start, $end, $filterorder, $COLUMN_REQUESTED_MEMORY, $COLUMN_QUEUED, $COLUMN_NODES, $hostname, $piefilter;
 
 $data_gatherer = new DataGatherer( $clustername );
@@ -466,5 +466,5 @@
 	global $cluster_url, $get_metric_string, $host_url, $metrics;
 	global $start, $end, $reports, $gnodes, $default_showhosts;
-	global $COLUMN_QUEUED, $COLUMN_REQUESTED_MEMORY, $hostname;
+	global $COLUMN_QUEUED, $COLUMN_REQUESTED_MEMORY, $COLUMN_NODES, $hostname;
 	$metricname = $m;
 
@@ -512,4 +512,8 @@
 	if( $COLUMN_REQUESTED_MEMORY ) {
 		$tpl->newBlock( "column_header_req_mem" );
+	}
+
+	if( $COLUMN_NODES ) {
+		$tpl->newBlock( "column_header_nodes" );
 	}
 
@@ -642,4 +646,5 @@
 				}
 
+
 				if( $COLUMN_QUEUED ) {
 					$tpl->newBlock( "column_queued" );
@@ -658,9 +663,17 @@
 				$view_jobs++;
 
-				if( $jobs[$jobid][status] == 'R' )
+				if( $jobs[$jobid][status] == 'R' ) {
 					foreach( $jobs[$jobid][nodes] as $tempnode )
 						$view_name_nodes[] = $tempnode;
-				else if( $jobs[$jobid][status] == 'Q' )
+
+					if( $COLUMN_NODES ) {
+						$tpl->newBlock( "column_nodes" );
+						$nodes_hostnames = implode( " ", $jobs[$jobid][nodes] );
+						$tpl->assign( "nodes_hostnames", $nodes_hostnames );
+						$tpl->gotoBlock( "node" );
+					}
+				} else if( $jobs[$jobid][status] == 'Q' ) {
 					$view_nodes += (int) $jobs[$jobid][nodes];
+				}
 
 				if( $even ) {
Index: /trunk/web/addons/job_monarch/search.php
===================================================================
--- /trunk/web/addons/job_monarch/search.php	(revision 298)
+++ /trunk/web/addons/job_monarch/search.php	(revision 299)
@@ -325,5 +325,5 @@
 	global $end_from_time, $end_to_time, $filter, $default_showhosts, $m, $hosts_up, $hc;
 	global $period_start, $period_stop, $sortby, $sortorder, $COLUMN_REQUESTED_MEMORY;
-	global $SEARCH_RESULT_LIMIT;
+	global $SEARCH_RESULT_LIMIT, $COLUMN_NODES;
 
 	$metricname = $m;
@@ -377,4 +377,7 @@
 			$tpl->newBlock( "column_header_req_mem" );
 		}
+		if( $COLUMN_NODES ) {
+			$tpl->newBlock( "column_header_nodes" );
+		}
 
 		//print_r( $nodes );
@@ -402,5 +405,16 @@
 			if( $COLUMN_REQUESTED_MEMORY ) {
 				$tpl->newBlock( "column_req_mem" );
-				$tpl->assign( "req_memory", $jobs[$jobid][requested_memory] );
+				//$tpl->assign( "req_memory", $jobs[$jobid][requested_memory] );
+				$tpl->assign( "req_memory", $job[requested_memory] );
+				$tpl->gotoBlock( "node" );
+			}
+			if( $COLUMN_NODES) {
+
+				foreach( $nodes[$foundid] as $mynode )
+					$job_nodes[] = $mynode[hostname];
+
+				$tpl->newBlock( "column_nodes" );
+				$nodes_hostnames = implode( " ", $job_nodes );
+				$tpl->assign( "nodes_hostnames", $nodes_hostnames );
 				$tpl->gotoBlock( "node" );
 			}
Index: /trunk/web/addons/job_monarch/templates/overview.tpl
===================================================================
--- /trunk/web/addons/job_monarch/templates/overview.tpl	(revision 298)
+++ /trunk/web/addons/job_monarch/templates/overview.tpl	(revision 299)
@@ -152,4 +152,7 @@
 <TH><B><A HREF="#" onClick="setSort( 'queued' )">Queued</A></B></TH>
 <!-- END BLOCK : column_header_queued -->
+<!-- START BLOCK : column_header_nodes -->
+<TH><B><A HREF="#" onClick="setSort( 'nodes' )" ALT="Nodes" TITLE="Nodes">Nodes</A></B></TH>
+<!-- END BLOCK : column_header_nodes -->
 <TH><B><A HREF="#" onClick="setSort( 'start' )">Started</A></B></TH>
 <TH><B><A HREF="#" onClick="setSort( 'runningtime' )">Runningtime</A></B></TH>
@@ -179,4 +182,7 @@
     <TD>{queued}</TD>
 <!-- END BLOCK : column_queued -->
+<!-- START BLOCK : column_nodes -->
+    <TD>{nodes_hostnames}</TD>
+<!-- END BLOCK : column_nodes -->
     <TD>{started}</TD>
     <TD>{runningtime}</TD>
Index: /trunk/web/addons/job_monarch/templates/search.tpl
===================================================================
--- /trunk/web/addons/job_monarch/templates/search.tpl	(revision 298)
+++ /trunk/web/addons/job_monarch/templates/search.tpl	(revision 299)
@@ -214,4 +214,7 @@
 <!-- END BLOCK : column_header_req_mem -->
 <TH><B><A HREF="#" onClick="setSort( 'nodes' )" ALT="Nodes" TITLE="Nodes">N</A>/<A HREF="#" onClick="setSort( 'cpus' )" ALT="Processors" TITLE="Processors">P</A></B></TH>
+<!-- START BLOCK : column_header_nodes -->
+<TH><B><A HREF="#" onClick="setSort( 'nodes' )" ALT="Nodes" TITLE="Nodes">Nodes</A></B></TH>
+<!-- END BLOCK : column_header_nodes -->
 <TH><B><A HREF="#" onClick="setSort( 'start' )">Started</A></B></TH>
 <TH><B><A HREF="#" onClick="setSort( 'finished' )">Finished</A></B></TH>
@@ -239,4 +242,7 @@
 <!-- END BLOCK : column_req_mem -->
     <TD>{nodes}/{cpus}</TD>
+<!-- START BLOCK : column_nodes -->
+    <TD>{nodes_hostnames}</TD>
+<!-- END BLOCK : column_nodes -->
     <TD>{started}</TD>
     <TD>{finished}</TD>